Grouping issue history (activity) in issue history tabs
2013-02-26 19:43 - Pavel Lautsevich

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Duplicate

Description
It would be very useful if the activity on the task grouped by type: comments, status changes and etc., like in the Jira.

task-activity-grouping.png

Related issues:
Is duplicate of Redmine - Feature #3058: Show issue history using tabs Closed 2009-03-26

History

#1 - 2013-02-26 21:16 - Jan Niggemann (redmine.org team member)

| like it the way it is because you have everything on a consistent timeline.
With your solution, | have to switch back and forth between, say, comments and status changes to know in which order they took place...

#2 - 2013-02-26 21:24 - Pavel Lautsevich

The system must remember the user's choice and display the corresponding tab.

#3 - 2013-02-26 23:50 - Toshi MARUYAMA

- Category changed from Ul to Activity view

#4 - 2013-02-27 04:24 - Mischa The Evil

- Subject changed from Grouping task activity log to Grouping issue history (activity) in issue history tabs
- Category changed from Activity view to Issues

Toshi MARUYAMA wrote:

e Category changed from Ulto Activity view

This request is not about the activity view (it is actually about source:/trunk/app/views/issues/_history.html.erb).

Looking at the screenshot Pavel is requesting a way to display the (Redmine) issue history (aka issue notes aka issue comments) like it is done in
Jira where the issue activity is displayed divided over several tabs (see e.g.
https://confluence.atlassian.com/display/JIRA052/Viewing+an+lssue's+Change+History).

An old plugin, Redmine Issue History Tabs Plugin, implemented something a bit similar, but divided the issue history (aka ...) over only two tabs: All
and Comments. | noticed that some 2.x compatible forks seem to exist on GitHub though nowadays.

Jan Niggemann wrote:

| like it the way it is because you have everything on a consistent timeline.
With your solution, | have to switch back and forth between, say, comments and status changes to know in which order they took place...

That shouldn't be a problem with such feature, | think. That case should be covered by the/an All tab which needs to show all issue history in the
order in which it took place (like as it is now also the default in Redmine).

#5 - 2013-02-27 04:28 - Mischa The Evil

- Description updated

Adjusting width of screenshot.

#6 - 2013-03-01 22:06 - Jan Niggemann (redmine.org team member)
Mischa The Evil wrote:
Jan Niggemann wrote:
| like it the way it is because you have everything on a consistent timeline.

With your solution, | have to switch back and forth between, say, comments and status changes to know in which order they took place...

That shouldn't be a problem with such feature, | think. That case should be covered by the/an All tab which needs to show all issue history in the
order in which it took place (like as it is now also the default in Redmine).

| don't know JIRA but with an All tab it's OK for me...

#7 - 2013-03-11 12:15 - Pavel Lautsevich

This is exactly what | need! http://www.redmine.org/plugins/redmine_issue_detailed_tabs_time

But there are no guarantees on the term support of the solution, so | need directly from a box! Please!

#8 - 2013-03-11 14:19 - mark kalender

redmine_issue_detailed_tabs_time v 0.0.7 was done this weekend.
it now hides tabs if there is no activity for it. not sure if this is a desired effect.
it felt to clutered when an issue does not have much action on it.

Also im not sure about remembering user tab selection for next time it loads, but at the moment it always defaults to "All" tab. and the tabs only
appear if something to put there

#9 - 2013-03-11 14:31 - Pavel Lautsevich

Mark, thak you 4 your work. If | understand correctly, there is a chance to include your implementation in the main package Redmine.
http://www.redmine.org/boards/3/topics/36787 ?r=36809#message-36809 Is this true?

#10 - 2013-03-11 15:50 - mark kalender

Pavel Lautsevich wrote:

Mark, thak you 4 your work. If | understand correctly, there is a chance to include your implementation in the main package Redmine.
http://www.redmine.org/boards/3/topics/36787 ?r=36809#message-36809 Is this true?

Hey Pavel, ill have to look into it, ruby is very new to me but the changes are so simple its a great stepping stone for me to learn the language. Daniel
or others would have to really vote this up for me to look into it.

in the mean time, be assured im a software engineer with a growing team, went from 2 ppl to 8 ppl so far in the last year, so having a good project
management/Agile system is essential to me. my plugin and a few other plugins that im trying to make are very essential to our company usability
over jirra and i believe in open source and welcome others to help better the plugins for you guys and our team. so as long as our team is here, i will
keep these plugin growing and even re-fork old plugins that i find useful to streamlining our work here

#11 - 2013-03-11 19:38 - Pavel Lautsevich
Mark thank you and good luck! =)

#12 - 2013-10-02 12:25 - Toshi MARUYAMA

- Related to Feature #8536: Separate notes/comments from issue updates added

#13 - 2018-05-13 15:55 - Go MAEDA

- Related to deleted (Feature #8536: Separate notes/comments from issue updates)

#14 - 2018-05-13 15:55 - Go MAEDA
- Is duplicate of Feature #3058: Show issue history using tabs added

#15 - 2018-05-13 15:58 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Duplicate

A patch to implement the same feature was submitted in #3058.
